.tags-input{
    display : inline-block;
    padding : 0 2px;
    background: transparent;
    border: 1px solid whitesmoke;
    width: 100%;
    border-radius : 2px;
    box-shadow: 0 1px 15px -5px gainsboro;
    /* padding: 3px 5px; */
}

.tags-input.focus{
    border:1px solid rgba(0,0,0,0.3);
}

.tags-input .tag{
    display : inline-block;
    background: whitesmoke;
    color: rgba(0,0,0,0.7);
    padding : 0 4px;
    margin: 4px 2px;
    border: 1px solid gainsboro;
    border-radius : 2px;
    font : inherit;
    -webkit-user-select : none;
    -moz-user-select : none;
    -ms-user-select : none;
    user-select : none;
    cursor : pointer;
    transition:all .1s ease;
}

.tags-input .tag.selected{
    background-color : #777;
    border-color : #777;
    color:#EEE
}

.tags-input .tag.dupe{
    -webkit-transform : scale3d(1.2,1.2,1.2);
    transform : scale3d(1.2,1.2,1.2);
    background-color : #FCC;
    border-color:#700
}

.tags-input input{
    -webkit-appearance : none !important;
    -moz-appearance : none !important;
    appearance : none !important;
    display : inline-block !important;
    padding : 3px;
    margin : 0 !important;
    background : 0 0 !important;
    border : none !important;
    box-shadow : none !important;
    font : inherit !important;
    font-size : 100% !important;
    outline:0!important
}

.tags-input .selected~input{
    opacity:.3
}


